Cannot download files with Chrome
Assignee: Philippe May % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

When trying to download files (eg. shapefiles) using the public website address (https://gis.auroville.org.in/), the browser shows a

page: "Page not found :(".

Related issues:

Related to Gisaf - Feature #7379: Make Gisaf installable (Progressive Web App) New 05/01/2019

History

#1 - 04/02/2019 17:08 - Philippe May

I fear this one will be a PITA to solve.

For now, a workaround is to use Firefox.

[Techie stuff below]

Few observations:

- downloads work well with Firefox

- downloads work well using http://gis.csr.av

- the server always generates files

So, it looks like it's a bug with aggressive cache done by Chrome, and might be triggered by Angular bootstrap.

#2 - 04/02/2019 17:09 - Philippe May

A workaround with Chrome is to force a refresh with "Shift + refresh".

#3 - 05/02/2019 01:36 - Philippe May

- Related to Feature #7379: Make Gisaf installable (Progressive Web App) added

#4 - 05/02/2019 01:40 - Philippe May

[Technical stuff below]

It's all due to service workers, part of WPA: https://angular.io/guide/service-worker-getting-started

For obscure reason (maybe related to #7379), there seems to be a file https://gis.auroville.org.in/ngsw-worker.js, and the configuration 

https://gis.auroville.org.in/ngsw.json. If exact, deleting these would probably solve the issue.

Service workers are probably a nice idea, but it'll need a lot of fine tuning for gisaf.
#5 - 05/02/2019 11:07 - Philippe May

- Status changed from New to Resolved

Download of shapefiles should be fixed now.

[tech details below:]

Indeed, there were probably some artifacts of #7379 on the server:

root@gisaf2:/usr/local/lib/gisaf_src/gisaf-app# mv dist/ dist.bak

root@gisaf2:/usr/local/lib/gisaf_src/gisaf-app# cd dist.bak

root@gisaf2:/usr/local/lib/gisaf_src/gisaf-app/dist.bak# ll ngsw*

-rw-r--r-- 1 phil phil 176584 Jan 14 10:02 ngsw.json

-rw-r--r-- 1 phil phil 137658 Jan 14 10:02 ngsw-worker.js

 

Pushed clean version of the ng build:

~/g/gisaf-app$ rsync -a dist root@gis2.csr.av:/usr/local/lib/gisaf_src/gisaf-app

#6 - 08/02/2019 12:19 - Philippe May

- Status changed from Resolved to Closed
